:root {
    --warning-color: #ffc107;
    --dark-color: #212529;
    --light-color: #f8f9fa;
}
body {
    overflow-x: hidden;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* navbar */
.navbar-brand img {
    width: 100px;
}
.hovering:hover {
    color: var(--warning-color) !important;
    transition: color 500ms ease-in;
}
.hovering-line {
    position: relative;
}
.hovering-line::after {
    content: "";
    width: 100%;
    height: 1px;
    background-color: var(--warning-color);
    position: absolute;
    left: 0;
    bottom: 0;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 250ms ease-in;
}
.hovering-line:hover::after {
    transform: scaleX(1);
    transform-origin: left;
}
.dropdown-item:hover {
    background-color: var(--warning-color);
}

main {
    margin-top: 60px;
    overflow: hidden;
}

/* home */
.left-video {
    width: 550px;
}
.video {
    width: 550px;
    height: 309px;
    border-radius: 15px;
}
video {
    width: 550px;
}
.image {
    width: 30%;
}
.text-image {
    width: 65%;
}
.card {
    border-radius: 15px;
}
.card-col .card:hover {
    background-color: var(--dark-color);
    color: var(--light-color);
    transition: background-color 400ms ease-in, color 400ms ease-in;
}
.card-col .card:hover .prix {
    color: var(--warning-color);
    transition: color 400ms ease-in;
}
.card-body h2 {
    border-radius: 15px 15px 0 0;
}
.prix {
    position: relative;
}
.prix h1 {
    font-weight: 700;
    font-size: 4em;
}
.prix span {
    font-weight: 600;
}
.button a {
    background-color: var(--dark-color);
}
.button a:hover {
    background-color: var(--warning-color);
}
.icon {
    width: 60px;
    height: 60px;
}
/* slider */
.card-carousel {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.card-carousel .my-card {
    height: 150px;
    width: 350px;
    position: relative;
    z-index: 1;
    opacity: 0;
    cursor: pointer;
    pointer-events: none;
    background-color: #2e5266;
    transition: 1s;
}

.card-carousel .my-card.active {
    z-index: 3;
    -webkit-transform: scale(1) translateY(0) translateX(0);
    transform: scale(1) translateY(0) translateX(0);
    opacity: 1;
    pointer-events: auto;
    transition: 1s;
}

.card-carousel .my-card.prev,
.card-carousel .my-card.next {
    z-index: 2;
    -webkit-transform: scale(0.8) translateY(-1rem) translateX(0);
    transform: scale(0.8) translateY(-1rem) translateX(0);
    opacity: 0.6;
    pointer-events: auto;
    transition: 1s;
}

/*Inscription style*/
.heighy100 {
    height: 100vh;
}
.btns h2 {
    font-size: 3em;
}
.btns a {
    text-decoration: none;
    color: var(--warning-color);
}
.form-input {
    width: 100%;
    height: 50px;
    position: relative;
    overflow: hidden;
}
.input {
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    background-color: transparent;
    color: var(--light-color);
    padding-top: 17px;
    padding-left: 10px;
}
.label {
    position: absolute;
    width: 100%;
    height: 100%;
    color: var(--light-color);
    left: 0;
    bottom: 0;
    pointer-events: none;
    border-bottom: 1px solid var(--light-color);
    font-weight: bold;
}
.label::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    border-bottom: 2px solid var(--warning-color);
    left: -100%;
    bottom: -1px;
    transition: left 500ms ease-in;
}
.input:focus + .label::after,
.input:valid + .label::after {
    left: 0;
}
.label .placeHolder {
    position: absolute;
    top: 20px;
    transition: all 300ms ease-in;
}
.input:focus + .label .placeHolder,
.input:valid + .label .placeHolder {
    transform: translateY(-20px);
    font-size: 14px;
    font-weight: normal;
    color: var(--warning-color);
}
#togglePassword,
#togglePassword2 {
    position: absolute;
    top: 25px;
    right: 15px;
    cursor: pointer;
}
input[type="checkbox"]:checked {
    background-color: var(--warning-color);
    border: 1px solid var(--warning-color);
}
input[type="checkbox"]:focus {
    box-shadow: none;
    border: none;
}
/* footer */
.contact p {
    text-align: justify;
    margin: 0;
}
.contact p span {
    opacity: 0.75;
}
.facebook:hover {
    color: #3f75e2;
}
.youtube:hover {
    color: #ff0000;
}
.twitter:hover {
    color: #1da1f2;
}
.instagram:hover {
    color: #e6683c;
}
footer .accordion {
    display: none;
}
footer .accordion button:focus {
    box-shadow: none;
}
footer .accordion-button:after {
    background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23ffffff'><path fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/></svg>") !important;
}
.socialBtn {
    text-decoration: none;
    color: var(--light-color);
}

/* contact us */
.image-contactUs {
    width: 500px;
    margin: auto;
}

/* tarifs */
#tarifs .d-flex p {
    width: 75%;
}
/* formation */
.formation-header {
    padding: 15px;
    position: relative;
}
.formation-header::after {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, 0%);
    width: 50%;
    height: 100%;
    border-bottom: 2px solid var(--warning-color);
}
.row-header {
    padding-bottom: 10px;
    position: relative;
}
.row-header::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 35%;
    height: 100%;
    border-bottom: 3px solid var(--warning-color);
}

@media screen and (max-width: 1200px) {
    .hovering-line::after {
        content: "";
        transform: scaleX(0);
    }
    .hovering-line:hover:after {
        transform: scaleX(0);
    }
    .left-video {
        width: 100%;
    }
    .video {
        width: 100%;
        height: 263px;
        margin-bottom: 40px;
    }
    video {
        width: 468px;
    }
    .image {
        width: 100%;
        display: flex;
        justify-content: center;
    }
    .image img {
        width: 50%;
        display: flex;
        justify-content: center;
    }
    .text-image {
        width: 100%;
        margin-top: 20px;
    }
    .text-image p {
        text-align: justify;
    }
    .card-carousel .my-card {
        height: 100px;
        width: 250px;
    }
    .my-card img {
        width: 250px;
        height: 100px;
    }
    footer .accordion {
        display: block;
    }
    footer .bg-dark .row {
        display: none;
    }
    .image-contactUs {
        width: 450px;
        margin-bottom: 25px;
    }
}
@media screen and (max-width: 990px) {
    .video {
        height: 391px;
    }
    video {
        width: 696px;
    }
}
@media screen and (max-width: 767px) {
    .video {
        height: 290px;
    }
    video {
        width: 516px;
    }
    .heighy100 {
        margin-top: 60px;
    }
    .image-contactUs {
        width: 400px;
    }
    #tarifs .d-flex p {
        width: 100%;
    }
}
@media screen and (max-width: 500px) {
    .video {
        height: 267px;
    }
    video {
        width: inherit;
    }
}
@media screen and (max-width: 400px) {
    .video {
        height: 200px;
    }
    .navbar-brand img {
        width: 80px;
    }
    .image-contactUs {
        width: 350px;
    }
}
@media screen and (max-width: 370px) {
    nav .button {
        font-size: 14px !important;
        padding: 8px 8px;
    }
    main {
        margin-top: 55px;
    }
}

/*scrollbar styles*/
::-webkit-scrollbar {
    width: 2px;
}
::-webkit-scrollbar-thumb {
    background: var(--warning-color);
}

/* color of selecion */
::-moz-selection {
    /* Code for Firefox */
    color: var(--dark-color);
    background: var(--warning-color);
}

::selection {
    color: var(--dark-color);
    background: var(--warning-color);
}
